package	com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.BlastFurnaceDetailLog;
import com.sw.mes.yb.production.dao.BlastFurnaceDetailLogDao;
import com.sw.mes.yb.production.service.BlastFurnaceDetailLogService;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class BlastFurnaceDetailLogServiceImpl extends BaseServiceImpl<BlastFurnaceDetailLog> implements BlastFurnaceDetailLogService {
    BlastFurnaceDetailLogDao dao;
	@Autowired
    public void setDao(BlastFurnaceDetailLogDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

	@Override
	public void deleteByLoadingTaskId(Long loadingTaskId) {
		dao.deleteByBlastFurnaceId(loadingTaskId);
	}

    @Override
    public List<BlastFurnaceDetailLog> findByBlastFurnaceId(Long id) {
        return dao.findByBlastFurnaceId(id);
    }
}
